# Created by pyp2rpm-3.3.8
%global pypi_name pylibfdt
%global pypi_version 1.6.1

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Python binding for libfdt

License:        None
URL:            None
Source0:        %{pypi_source}

BuildRequires:  python3-devel
BuildRequires:  swig
BuildRequires:  gcc
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)

%description
This tree contains a copy of libfdt from the upstream dtc project for the
purposes of pypi.org packaging. Other than changes to the packaging files,
changes should be made upstream. The upstream sources are here: To install this
you will need to install swig and Python development files.On Debian
distributions: sudo apt-get install swig python3-dev The module can be
installed with pip: pip...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This tree contains a copy of libfdt from the upstream dtc project for the
purposes of pypi.org packaging. Other than changes to the packaging files,
changes should be made upstream. The upstream sources are here: To install this
you will need to install swig and Python development files.On Debian
distributions: sudo apt-get install swig python3-dev The module can be
installed with pip: pip...


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%pycached %{python3_sitearch}/libfdt.py
%{python3_sitearch}/_libfdt%{python3_ext_suffix}
%{python3_sitearch}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Sat Feb 18 2023 Dave Olsthoorn <dave@bewaar.me> - 1.6.1-1
- Initial package.
